/* Google Fonts */

@import url('https://fonts.googleapis.com/css2?family=Plaster&display=swap');

/* Global Reset */
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

/* maybe change some things before turning it in */

body {
    background-color: #EEE;
}

h1 {
    text-align: center;
    font-family: 'Plaster', verdana, sans-serif;
    font-size: 14svw;
    line-height: 10svw;
    text-transform: uppercase;
    background-image: url("/cis195/images/three_cats.jpg");
    background-size: 100%;
    background-position: 90px 60%;
    background-clip: text;
    color: transparent
}

section.three_boxes {
    margin: 150px auto;
    display: flex;
    flex-flow: row wrap;
    justify-content: space-evenly;
}

section.three_boxes div {
    flex: 0 0 20%;
    aspect-ratio: 1;
    border: 8px solid hotpink;
    border-radius: 0%;
    transform: rotate(-45deg);
    position: relative;
    overflow: hidden;
    min-width: 300px;
    max-width: 500px;
}

section.three_boxes div figure {
    background-image: url("/cis195/images/three_cats.jpg");
    background-size: 400%;
    width: 145%;
    aspect-ratio: 1;
    transform: rotate(45deg);
    position: absolute;
    top: -23%;
    left: -23%;
}

section.three_boxes div:nth-child(1) figure {
    background-position: 10% 50%;
    filter: hue-rotate(160deg);
}

section.three_boxes div:nth-child(2) figure {
    background-position: 44% 55%;
    border-radius: 50%;
}

section.three_boxes div:nth-child(2) figure:hover {
    filter: grayscale(100%);
    transition: filter 0.6s ease-in-out;
}

section.three_boxes div:nth-child(3) figure {
    background-position: 75% 55%;
    filter: contrast(120%);
    border-radius: 10%; 
}